#2805 closed enhancement (fixed)

Use SPRG0 on PowerPC for current per-CPU control (SMP only)

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: arch/powerpc Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Add _CPU_Get_current_per_CPU_control() on SMP configurations as an optimization for PowerPC. Use SPRG0 for the current per-CPU control. This reduces the code size a bit and is slightly faster in some benchmarks.

Change History (5)

comment:1 Changed on Nov 10, 2016 at 9:00:57 AM by Sebastian Huber <sebastian.huber@…>

In 38a1449fd47be848cc40593abd40262e9ad2030d/rtems:

powerpc: Add _CPU_Get_current_per_CPU_control()

Add _CPU_Get_current_per_CPU_control() on SMP configurations. Use SPRG0
for the current per-CPU control. This reduces the code size by three
instructions and is slightly faster.

Update #2805.

comment:2 Changed on Nov 10, 2016 at 9:19:10 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 10, 2017 at 6:23:41 AM by Sebastian Huber

Component: SMParch/powerpc

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.